// creator  : weidu.exe (version 23100)
// argument : FFRECEP.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~FFRECEP~ 2 // non-zero flags may indicate non-pausing dialogue

IF ~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #29865 /* ~A fair eve to ye, <SIRMAAM>.  The troupe of players is just beginning its next performance, if ye wish to partake.  We ask that you donate 5 gold for a ticket, but it is not required.~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #29868 /* ~Would ye like to purchase a ticket, then, <SIRMAAM>?~ */
  IF ~PartyGoldGT(4)
~ THEN REPLY #29870 /* ~Very well, let me see this play of yours, then.~ */ DO ~TakePartyGold(5)
~ GOTO 2
  IF ~~ THEN REPLY #29880 /* ~What sort of play is this?~ */ GOTO 3
  IF ~~ THEN REPLY #29875 /* ~No, I'm not interested.~ */ GOTO 4
END

IF ~~ THEN BEGIN 2 // from: 5.0 3.0 1.0
  SAY #29881 /* ~Most gracious of ye, <SIRMAAM>.  Ye may enter the theater, as ye wish... just show your ticket to yon ushers, please.~ */
  IF ~~ THEN DO ~SetGlobal("Ticket","AR0510",1)
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 5.1 1.1
  SAY #29882 /* ~It is a most dramatic play put on by the fine members of the Sigil troupe.  'Tis better to see than to be described... would ye like the ticket, then, mayhap?~ */
  IF ~PartyGoldGT(4)
~ THEN REPLY #29883 /* ~Certainly... here is your 5 gold.~ */ DO ~TakePartyGold(5)
~ GOTO 2
  IF ~~ THEN REPLY #29884 /* ~No thanks.~ */ GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 5.2 3.1 1.2
  SAY #29888 /* ~As ye wish, then, <SIRMAAM>.  Perhaps another time.~ */
  IF ~~ THEN EXIT
END

IF ~Global("Ticket","AR0510",0)
~ THEN BEGIN 5 // from:
  SAY #29891 /* ~Have ye decided to purchase a ticket, then, <SIRMAAM>?~ */
  IF ~PartyGoldGT(4)
~ THEN REPLY #29892 /* ~Alright... here is your 5 gold pieces.~ */ DO ~TakePartyGold(5)
~ GOTO 2
  IF ~~ THEN REPLY #29893 /* ~What sort of play is this, then?~ */ GOTO 3
  IF ~~ THEN REPLY #29894 /* ~No, thanks.~ */ GOTO 4
END

IF ~Global("Ticket","AR0510",1)
~ THEN BEGIN 6 // from:
  SAY #29877 /* ~I hope ye doth enjoy the play, then, <SIRMAAM>.~ */
  IF ~~ THEN EXIT
END
